package com.kospo.talk.service;

import com.kospo.talk.model.Work;
import com.kospo.talk.payload.*;
import jakarta.transaction.Transactional;

import java.util.List;

public interface WorkService {
    @Transactional
    WorkDto findByWorkId(String workId);

    List<WorkCategoryDto> findByWorkDepth(String pWorkId);

    List<WorkCategoryDto> findByWorkSearech(String name);

    List<WorkTreeDto> findAll();

    List<WorkDto> findSabun(String sabun);

    Work findByTalkId(String talkId);

    List<WorkDepthDto> findByAlLDepth(String workId);

    WorkDto findByWorkUrl(String url, String workId, String sabun);

    WorkLogoDto logoSave(WorkLogoDto workLogoDto);
}
